curl --request POST \
--url https://api.example.com/apps/{appId}/events \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"data": {},
"channel": "<string>",
"channels": [
{}
],
"socket_id": "<string>",
"info": "<string>",
"tags": {},
"delta": true
}
'{
"ok": true,
"channels": {
"subscription_count": 123,
"user_count": 123
}
}Trigger a single event to one or more channels
curl --request POST \
--url https://api.example.com/apps/{appId}/events \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"data": {},
"channel": "<string>",
"channels": [
{}
],
"socket_id": "<string>",
"info": "<string>",
"tags": {},
"delta": true
}
'{
"ok": true,
"channels": {
"subscription_count": 123,
"user_count": 123
}
}Documentation Index
Fetch the complete documentation index at: https://mintlify.com/sockudo/sockudo/llms.txt
Use this file to discover all available pages before exploring further.
auth_key - Your application keyauth_timestamp - Unix timestamp (must be within 10 minutes of server time)auth_version - Always “1.0”auth_signature - HMAC-SHA256 signaturebody_md5 - MD5 hash of request body (required for POST with non-empty body)Authorization: key:signature
POST\n/apps/{appId}/events\nauth_key={key}&auth_timestamp={timestamp}&auth_version=1.0&body_md5={md5}
auth_signature) are sorted alphabetically and lowercased before signing.
max_event_payload_in_kb app setting.channel or channels must be provided.max_event_channels_at_once app setting. Either channel or channels must be provided.subscription_count - Number of connections subscribed to each channeluser_count - Number of unique users (presence channels only)tag_filtering.enabled: true). Tags are used for filtering but can be optionally stripped from messages sent to clients.true - Force delta compression for this message (if client supports it)false - Force full message (skip delta compression)true if the event was triggered successfully (returned when info is not requested)X-RateLimit-Limit - Maximum requests allowed per windowX-RateLimit-Remaining - Requests remaining in current windowX-RateLimit-Reset - Seconds until rate limit resetsRetry-After - Seconds to wait before retrying (when rate limited)curl -X POST "https://api.example.com/apps/my-app/events?auth_key=key&auth_timestamp=1234567890&auth_version=1.0&body_md5=fc820aa38714282f8300c2ca039cd034&auth_signature=abc123" \
-H "Content-Type: application/json" \
-d '{
"name": "order-update",
"channel": "orders",
"data": "{\"order_id\": 123, \"status\": \"shipped\"}"
}'
{
"ok": true
}
| Status Code | Description |
|---|---|
| 200 | Success |
| 400 | Bad Request (invalid parameters, limit exceeded) |
| 401 | Unauthorized (authentication failed) |
| 404 | Application not found |
| 413 | Payload Too Large |
| 429 | Too Many Requests (rate limited) |
| 500 | Internal Server Error |
client- are reserved for client eventscache-*) automatically cache the last event for new subscribers